/**
 * \file systemsDesignDefines.h
 * \author Ellen Seabrooke (seabrooke@ifb.uni-stuttgart.de)
 * \brief Defines used for systems Design
 * \version 0.1
 * \date 2024-06-27
 * 
 * @copyright Copyright (c) 2024
 * 
 */
#ifndef SYSTEMSDESIGN_SRC_SYSTEMSDESIGNDEFINES_H_
#define SYSTEMSDESIGN_SRC_SYSTEMSDESIGNDEFINES_H_

#include <moduleBasics/module.h>

enum strategies{
    STANDARD
};

class ModuleConfig{
 public:
    strategies strategy;
    fs::path strategyConfig;
};

#endif // SYSTEMSDESIGN_SRC_SYSTEMSDESIGNDEFINES_H_
